Package org.kapott.hbci.GV_Result

## Class GVRWPDepotUms.Entry

- java.lang.Object
- - org.kapott.hbci.GV_Result.GVRWPDepotUms.Entry

Enclosing class:
  GVRWPDepotUms

    public static final class GVRWPDepotUms.Entry
    extends java.lang.Object

Ein Eintrag zu genau einem Depot

### Nested Class Summary

Nested Classes
`static class` `GVRWPDepotUms.Entry.FinancialInstrument`

### Field Summary

Fields
`Konto` `depot` Depotkonto, auf das sich der Eintrag bezieht.
`java.util.List<GVRWPDepotUms.Entry.FinancialInstrument>` `instruments` Liste der Wertpapiere mit Umsätzen
`java.util.Date` `timestamp` Zeitpunkt der Erstellung dieser Daten

### Constructor Summary

Constructors
`Entry()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### timestamp

    public java.util.Date timestamp

Zeitpunkt der Erstellung dieser Daten

#### depot

    public Konto depot

Depotkonto, auf das sich der Eintrag bezieht.

#### instruments

    public final java.util.List<GVRWPDepotUms.Entry.FinancialInstrument> instruments

Liste der Wertpapiere mit Umsätzen

### Constructor Detail

#### Entry

    public Entry()

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`